# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

DESCRIPTION="Simple On-screen Keyboard with macros and easy layout creation."
HOMEPAGE="https://wiki.ubuntu.com/Accessibility/Projects/onBoard"
SRC_URI="http://archive.ubuntu.com/ubuntu/pool/main/o/onboard/onboard_0.85.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="alpha amd64 hppa mips ppc ppc-macos ppc64 sparc x86"
IUSE=""

# not sure about versioning at this point
DEPEND="dev-lang/python 
		dev-python/pycairo 
		dev-python/gnome-python 
		dev-python/pygtk 
		dev-python/pyxml 
		dev-python/virtkey"


src_unpack() {
    unpack ${A}
}

# from debian file
# *.py            /usr/share/onboard
# *.glade*        /usr/share/onboard
# layouts         /usr/share/onboard
# scripts         /usr/share/onboard
# *.svg           /usr/share/onboard
# debian/*.desktop    /usr/share/applications

src_install() {

	# i think that this is just $D... 
	DROOT=/usr/lib/onboard
	
	exeinto $DROOT
	doexe *.py

	insinto $DROOT
	doins *.glade*
	doins *.svg
	
	insinto $DROOT/layouts
	doins layouts/* 

	exeinto $DROOT/scripts
	doexe scripts/*.py

	insinto /usr/share/applications
	doins debian/*.desktop

	dohtml -r docs/*

	dodir /usr/bin
	dosym $DROOT/run-onboard.py /usr/bin/run-onboard.py
}

